## 2.0.0

> Note: This release has breaking changes.

 - **REFACTOR**(ui): rework text gradient and text wrapper.
 - **REFACTOR**(ui_kit): use tapped state and merged styles.
 - **REFACTOR**(ui_kit): Refactored code using the UI components package, due to breaking changes.
 - **REFACTOR**(ui_kit): update textinput component using borderColors as Color.
 - **FIX**(ui_kit): add cacheExtend as a trade-off in listview example.
 - **FIX**: apply dart fix --apply.
 - **FIX**(ui_kit): add local font assets + compress images.
 - **FIX**(ui_kit): fix text align, add selection and update example for rich text builder.
 - **FIX**: upgrade to flutter 3.10.
 - **FIX**(ui_kit): remove null check operator in Loader component.
 - **FEAT**(ui_kit): make skillcard header icon customizable.
 - **FEAT**(ui_kit): implement flat button.
 - **FEAT**: implement notification abstraction package.
 - **FEAT**(ui_kit): implement top nav bar.
 - **FEAT**(ui_kit): implement top app bar and update example.
 - **FEAT**(ui_kit): add card theme extension, fix bugs & update example (close #126).
 - **FEAT**(ui_kit): add quote / skill / portfolio cards (#126).
 - **FEAT**(ui_kit): update example (#138).
 - **FEAT**(ui_kit): update example by removing adaptative theme.
 - **FEAT**(ui_kit): implement rich text builder (closes #141).
 - **FEAT**(ui): add pricing card.
 - **FEAT**(ui_kit): update example with full studio button theme.
 - **FEAT**(ui_kit): add theme control in example.
 - **FEAT**(ui_kit): finalize material ready buttons.
 - **FEAT**(ui_kit): implement information card (#126).
 - **FEAT**(ui): update default extension implementation.
 - **FEAT**(ui_kit): update example with drawer and custom launch parameters.
 - **FEAT**(ui_kit): implement file selection button with invalid cubit and dotted package.
 - **FEAT**(ui_kit): implement simple icon button and use dimension style.
 - **FEAT**(ui_kit): add symbol button + enhance bloc control over state.
 - **FEAT**(ui_kit): allow to cascade styles in ThemeHelper.
 - **FEAT**(ui_kit): use MultiColor in button style.
 - **FEAT**(ui_kit): implement flat/outlined button.
 - **FEAT**(ui): add animated decorated box + animate all buttons + customize duration in style.
 - **BREAKING** **REFACTOR**(ui): remove bloc export in buttons to be state management solution agnostic (closes #147).
 - **BREAKING** **FEAT**(ui): rework theme resolver mechanism + move theme extension implementations.
 - **BREAKING** **FEAT**(ui): move last extensions + add extension provider.

